#!/usr/local/bin/perl -w
=head1 Name

Demonstrate how to add an unsupported control by using 
Custom controls and an ControlInspector.

=cut





use strict;

use lib qw( ../../PPM/Loft/lib ../../PPM/AdHoc/lib );





use Win32::GUI;
use Win32 ();
use Win32::GUI::Loft;

#Modify the build process using this 
#Win32::GUI::Loft::ControlInspector subclass
use CustomInspector;





#Note the outmost eval catching fatal errors, reporting 
#them to the user. Try changing the filename and see it 
#fail to open the file.
eval {
	main();
	};
Win32::GUI::MessageBox(0, "Error: $@", "Custom Control Demo") if($@);





sub main {
	my $fileWindow = "custom.gld";
	my $objDesign = Win32::GUI::Loft::Design->newLoad($fileWindow) or 
			die("Could not open window file ($fileWindow)");			
	
	my $objInspector = CustomInspector->new() or die("Could not create Inspector}n");
	my $win = $objDesign->buildWindow(undef, $objInspector) 
			or die("Could not build window ($fileWindow)");

	$win->Show();

	Win32::GUI::Dialog();
	
	return(1);
	}





=head1 WIN32::GUI EVENT HANDLERS

=head2 winCustom_Terminate()

Terminate app.

=cut
#Note that we use :: to place the sub in package main,
#just in case you are in another package.

#Note how we verify that the window is actually there 
#while assigning the shortcut variable $win.
sub ::winCustom_Terminate { defined(my $win = $Win32::GUI::Loft::window{winCustom}) or return(1);

	#Just exit
	
	return(-1);
	}





#EOF