#!/usr/local/bin/perl -w
=head1 Name

Fetch URL and display HTTP and HTML response.

=cut





use strict;





use Win32::GUI;
use Win32 ();
use Win32::GUI::Loft;

use LWP::UserAgent;
use Data::Dumper;





#Note the outmost eval catching fatal errors, reporting 
#them to the user. Try changing the filename and see it 
#fail to open the file.
eval {
	main();
	};
Win32::GUI::MessageBox(0, "Error: $@", "Fetch URL Demo") if($@);





sub main {
	my $fileWindow = "fetch.gld";
	my $objDesign = Win32::GUI::Loft::Design->newLoad($fileWindow) or 
			die("Could not open window file ($fileWindow)");			
	
	my $win = $objDesign->buildWindow() 
			or die("Could not build window ($fileWindow)");
	
	#Add the new control to the Window (last in the tab order (which is 
	#probably not what you want alas)
	my $reHttp = $win->AddRichEdit(
			-name => "reHttp",
			-height => 261,
			-left => 8,
			-width => 415,
			-top => 60,
			) or die;
	#It's on a tab that's not visible, so the control's initial
	#state should be hidden
	$reHttp->Hide();
	
	#There is a TabStrip control named "tsResult" in the Window
	#We want to access the TabStripGroup that manages the TabStrip
	my $objTabStripGRoup = $objDesign->rhWingcTabStripGroup()->{"tsResult"} or die("No TabStripGroup");
	
	#Register the new control with the TabStripGroup, on the correct tab (1 is the second tab)
	$objTabStripGRoup->registerControl(1, $reHttp);


	#Add the control to the correct Cluster as well, just for the fun of it
	#This is not needed to get the TabStripGroup to work, but
	#may be useful for other pusposes
	push(@{ $objDesign->rhClusterWingc()->{Http} }, $reHttp);
	print Dumper($objDesign->rhClusterWingc());
	
	$win->Show();
	$win->tfURL->SetFocus();

	Win32::GUI::Dialog();
	
	return(1);
	}





=head1 WIN32::GUI EVENT HANDLERS

=head2 winFetch_Terminate()

Terminate app.

=cut
#Note that we use :: to place the sub in package main,
#just in case you are in another package.

#Note how we verify that the window is actually there 
#while assigning the shortcut variable $win.
sub ::winFetch_Terminate { defined(my $win = $Win32::GUI::Loft::window{winFetch}) or return(1);

	#Just exit
	
	return(-1);
	}





#
#Note that we don't have to code the Resize event. It is 
#handled by the window that Loft::Design created for us.
#





=head2 btnFetch_Click()

Fetch url in tfURL.

=cut
sub ::btnFetch_Click { defined(my $win = $Win32::GUI::Loft::window{winFetch}) or return(1);
	
	my $url = $win->tfURL->Text();

	my $ua = new LWP::UserAgent;
	my $req = new HTTP::Request GET => $url;

	my $res = $ua->request($req);
	if ($res->is_success) {
		$win->reHttp->Text($res->headers_as_string());
		$win->reHtml->Text($res->content());
	} else {
		$win->reHttp->Text("Error getting url\n($url)");
		$win->reHtml->Text("Error getting url\n($url)");
		}

	return(1);
	}





#EOF