=head1 NAME Win32::GUI::Loft::Control::Hyperlink - A Hyperlink control

=head1 SYNOPSIS



=cut





package Win32::GUI::Loft::Control::Hyperlink;
use base qw( Win32::GUI::Loft::Control::Label );





use strict;

eval "use Win32::GUI::HyperLink";		#Fail silently. It should be ibvious what to fix if anyone actually uses this one





=head1 PROPERTIES

=head2 nameDefault

The control's default name. This will affect, e.g. the
default control name when a new control is created.

E.g. "lblHyperlink".

Readonly.

=cut
sub nameDefault { my $self = shift; my $pkg = ref($self);
	return("lblHyperlink");
	}





=head2 type

The control's type name.

E.g. "Hyperlink".

Readonly.

=cut
sub type { my $self = shift; my $pkg = ref($self);
	return("Hyperlink");
	}





=head2 addMethod

The name of the AddXxxx() method to use when adding this
control to a container object.

Readonly

=cut
sub addMethod { my $self = shift; my $pkg = ref($self);
	return("AddHyperLink");		#todo: fix this when/if the Hyperlink control gets the name corrected
	}





=head2 textcolorDefault

The default text color, either a numeric value, or a color 
array ref.

Example: 0 (black)

Readonly.

=cut
sub textcolorDefault { my $self = shift; my $pkg = ref($self);
	return([0, 0, 255]);	#Link blue
	}





=head1 METHODS

=head2 new()

Create new Control object.

=cut
sub new { my $pkg = shift; $pkg = ref($pkg) || $pkg;

	my $self = $pkg->SUPER::new();

	#New properties
	$self->propertyAdd(Win32::GUI::Loft::ControlProperty->new(
			"Url", "http://"));

	return($self);
	}





=head2 paint($dcDev, $rhBrush, $objDesign, $rhPosCache)

Paint the control in the $dcDev.

Return 1 on success, else 0.

=cut
sub paint { my $self = shift; my $pkg = ref($self);
	my ($dcDev, $rhBrush, $objDesign, $rhPosCache) = @_;

	return(1) if(!$self->designIsVisible());

	#Draw Hyperlink
	$dcDev->SelectObject($rhBrush->{noPen});
	$dcDev->SelectObject($rhBrush->{whiteBrush});
	$dcDev->BkMode(1);


	if($self->prop("Frame") eq "none") {

		if($self->prop("Sunken")) {
			$dcDev->SelectObject($rhBrush->{grayPen});
            $dcDev->MoveTo($rhPosCache->{left},
            		$rhPosCache->{top} + $rhPosCache->{height});
            $dcDev->LineTo(
            		$rhPosCache->{left},
            		$rhPosCache->{top});
            $dcDev->LineTo(
            		$rhPosCache->{left} + $rhPosCache->{width} - 1,
            		$rhPosCache->{top});

            $dcDev->SelectObject($rhBrush->{whitePen});
            $dcDev->LineTo(
            		$rhPosCache->{left} + $rhPosCache->{width} - 1,
            		$rhPosCache->{top} + $rhPosCache->{height} - 1);
            $dcDev->LineTo(
            		$rhPosCache->{left},
            		$rhPosCache->{top} + $rhPosCache->{height} - 1);

#					$rhPosCache->{left} + $rhPosCache->{width},
#					$rhPosCache->{top} + $rhPosCache->{height},

			$self->offsetTextLeft(1);
			$self->offsetTextRight(1);
			$self->offsetTextTop(1);
			}
		else {
			$self->offsetTextLeft(0);
			$self->offsetTextRight(0);
			$self->offsetTextTop(0);
			}

		if($self->prop("Bitmap")) {
			$self->paintBitmap($dcDev, $rhBrush, $rhPosCache, $objDesign);
			}
		else {
			$self->paintText($dcDev, $rhBrush, $rhPosCache);
			}
		}
	else {
		$dcDev->DrawEdge(
				$rhPosCache->{left},
				$rhPosCache->{top},
				$rhPosCache->{left} + $rhPosCache->{width},
				$rhPosCache->{top},
				0x0002 | 0x0004,		#BDR_SUNKENOUTER | BDR_RAISEDINNER
				0x0002					#BF_TOP
				);
		}
#	$self->paintSelected($dcDev, $rhBrush, $rhPosCache);

	return(1);
	}





1;





#EOF