=head1 NAME

Win32::GUI::ToolbarWindow -- Toolbar Window without close-X-
button or max/min.

=head1 DESCRIPTION



=cut





package Win32::GUI::ToolbarWindow;
use base "Win32::GUI::Window";


use strict;
use Data::Dumper;

use Win32::GUI;





=head1 METHODS

=head2 new(%hOption)

Create a Win32::GUI::ToolbarWindow which is a toolbar
window. No small buttons in the caption.

Other than this, it's a regular Window object, only it's a
subclass of Win32::GUI::Window.

=cut
sub new { my $pkg = shift; $pkg = ref($pkg) || $pkg;
	my (@aOption) = @_;

	unshift(@aOption, -addexstyle => WS_EX_TOOLWINDOW);
	unshift(@aOption, -remstyle => 0xFFFFFFFF, -addstyle =>
			0x00C00000 |		#WS_CAPTION
			0x80000000 |		#WS_POPUP
			0x00800000 |		#WS_BORDER
			0);

	my  $self = $pkg->SUPER::new(@aOption);

	return($self);
	}





1;





#EOF